Subject: Re: bug#13387: emacsclient -t suspends emacs

From: Dan Nicolaescu <[email-masked]>
Date: Sun, 13 Jan 2013 15:09:09 -0500

Paul Eggert <[email-masked]> writes:

> On 01/10/2013 05:43 AM, Dan Nicolaescu wrote:
>> I can confirm that the problem is caused by this change: ...
>> Also I think that the "USG5" case did not work in the original code
>
> Thanks for the diagnosis.  I installed what I hope is a fix for the
> problem as trunk bzr 111478; please give it a try.  I don't know how
> to fix the problem on platforms that lack TIOCNOTTY, but perhaps platforms
> that lack TIOCNOTTY won't have the problem.  I can see why the old USG5
> code didn't work; the code I installed shouldn't have that problem
> (for platforms that have TIOCNOTTY).

It works fine on GNU/Linux, I did not try it anywhere else.
Thanks!